Home Wiki > Archive:Установка GNOME 2.26 на openSUSE 11.1
Sign up | Login

Archive:Установка GNOME 2.26 на openSUSE 11.1

tagline: Материал из openSUSE

GNOME 2.26 в openSUSE 11.1

С тех пор как вышли пакеты GNOME 2.25/2.26, команда GNOME Team работала над тем чтобы обычные пользователи могли использовать новый GNOME на своей openSUSE 11.1!

Как обновить openSUSE 11.1 до GNOME 2.26

Короткая инструкция по обновлению

  • Добавить репозитарии GNOME:STABLE:2.26 и GNOME:Backports:2.26
  • Убедится что они имеют более высокий приоритет чем остальные
  • Собственно обновить систему

Подробная инструкция

Сначала вы должны добавить два репозитария в вашу конфигурацию:

  • GNOME:STABLE:2.26, который содержит последний GNOME
  • GNOME:Backports:2.26, который содержит некоторые пакеты не поддерживаемые GNOME Team, но необходимые для изменений

Вы можете сделать это выполнив следующие команды с правами суперпользователя:

zypper ar -r http://download.opensuse.org/repositories/GNOME:/STABLE:/2.26/openSUSE_11.1/GNOME:STABLE:2.26.repo
zypper ar -r http://download.opensuse.org/repositories/GNOME:/Backports:/2.26/openSUSE_11.1/GNOME:Backports:2.26.repo

Теперь вы должны проверить что добавленные репозитарии имеют больший приоритет чем другие репозитарии установленные в вашей системе. Значение приоритетов может быть между 0 и 100, при этом более низкое значение имеет больший приоритет; по умолчанию она равно 99. Запустите в YaST и выберите "Репозитарии программного обеспечения". В установке openSUSE 11.1 по умолчанию, для репозитария обновлений устанавливается приоритет 20, поэтому вы должны изменить приоритет для репозитариев GNOME:STABLE:2.26 и GNOME:Backports:2.26 на 19.

Приоритеты можно изменить в командной строке с помощью zypper:

zypper mr -p 19 GNOME_Backports_2.26
zypper mr -p 19 GNOME_STABLE_2.26

Примечание: Мы будем создавасть свои обновления безопасности и включать их в GNOME:STABLE:2.26 и GNOME:Backports:2.26, поэтому это не повлияет на уменьшение безопасности вашей системы.

И на конец вы можете обновить ващу систему до последней версии использую YaST или zypper:

zypper refresh
zypper dist-upgrade

Конечно перед обновлением до GNOME 2.26 вы должны выйти из графической среды :-)

FAQ

Ничего не работает. или gnome-terminal выдает ошибку при запуске.

Скорей всего репозитарий GNOME:STABLE:2.26 не имеен наивысшего приоритета в вашей системе. Поэтому вместо пакета gtk2 из GNOME:STABLE:2.26, вы имеете пакет из какого нибудь другого репозитария. Смотрите как изменить приоритет для репозитариев.

Мой процессор все время загружен на 100%, из-за X.

Убедитесь что вы имеете пакет xorg-x11-server package из GNOME:Backports:2.26. Там была ошибка в X server-е но исправление данной ошибки не было выпущено в репозитории для online обновления openSUSE 11.1, поэтому это обновление выпущено в репозитарии GNOME:Backports:2.26.

Как помочь?

Эта секция еще не закончена

Любые важные ошибки связанные с использованием GNOME 2.26 в openSUSE 11.1 заполняйте в bugzilla по этой ссылке https://bugzilla.novell.com/show_bug.cgi?id=493750

Вы так же можете помочь обновить пакеты в GNOME:STABLE:2.26.